#
# spec file for package postfix (Version 2.2.9)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# neededforbuild  -sendmail cyrus-sasl cyrus-sasl-devel db-devel mysql-devel mysql-shared openldap2 openldap2-client openldap2-devel openssl openssl-devel pcre postgresql-devel postgresql-libs
# usedforbuild    aaa_base acl attr bash bind9-utils bison cpio cpp cyrus-sasl db devs diffutils e2fsprogs file filesystem fileutils fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip kbd less libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel pam-modules patch permissions ps rcs readline sed sh-utils shadow strace syslogd sysvinit tar texinfo textutils timezone unitedlinux-release unzip util-linux vim zlib-devel autoconf automake binutils bzip2 cracklib cyrus-sasl-devel db-devel gcc gdbm gettext heimdal-lib libtool mysql-devel mysql-shared openldap2 openldap2-client openldap2-devel openssl openssl-devel pcre perl postgresql-devel postgresql-libs rpm zlib

Name:           postfix
%define usetls  1
URL:            http://www.postfix.org/
License:        IBM Public License
Group:          Productivity/Networking/Email/Servers
Provides:       smtp_daemon
Conflicts:      sendmail exim
Autoreqprov:    on
Summary:        A fast, secure and flexible mailer
Version:        2.2.9
Release:        2
Source:         postfix-%{version}.tar.gz
Source1:        SuSE.tar.gz
Patch:          dynamic_maps.patch
Patch1:         dynamic_maps_pie.patch
Patch2:         ldap_api_changes.patch
Prereq:         /usr/sbin/useradd /usr/sbin/groupadd %insserv_prereq %fillup_prereq /bin/sed /bin/awk /bin/grep textutils sh-utils fileutils pcre openldap2-client netcfg /sbin/ip
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
#
%package      mysql
Summary:        postfix plugin to support MySQL maps
Autoreqprov:    on
Group:          Productivity/Networking/Email/Servers
Prefix:         %{_prefix}
Prereq:         postfix
#
%package      postgresql
Summary:        postfix plugin to support PostgreSQL maps
Autoreqprov:    on
Group:          Productivity/Networking/Email/Servers
Prefix:         %{_prefix}
Prereq:         postfix
#
# Some defines
#
%define postfixfiles         postfix.filelist
%define pf_config_directory  /etc/postfix
%define pf_daemon_directory  /usr/lib/postfix
%define pf_command_directory /usr/sbin
%define pf_queue_directory   /var/spool/postfix
%define pf_sendmail_path     /usr/sbin/sendmail
%define pf_newaliases_path   /usr/bin/newaliases
%define pf_mailq_path        /usr/bin/mailq
%define pf_setgid_group      maildrop
%define pf_readme_directory  %{_docdir}/postfix/README_FILES
%define pf_html_directory    %{_docdir}/postfix/html
%define pf_sample_directory  %{_docdir}/postfix/samples
%define postfix_uid          51
%define postfix_gid          51
%define maildrop_gid         59
%define conf_backup_dir      /var/adm/backup/postfix
#
# ---------------------------------------------------------------------------
%prep
%setup -n postfix-%{version} -a 1
%patch -p1
%patch1 -p1
%patch2
# ---------------------------------------------------------------------------

%build
export CCARGS="-DHAS_LDAP -DHAS_PCRE -DUSE_SASL_AUTH -I/usr/include/sasl"
export CCARGS="$CCARGS -DMAX_DYNAMIC_MAPS"
export CCARGS="$CCARGS -DHAS_MYSQL -I/usr/include/mysql"
export CCARGS="$CCARGS -DHAS_PGSQL -I/usr/include/pgsql"
export AUXLIBS="-lldap -llber -lpcre"
%if %suse_version > 810
export AUXLIBS="$AUXLIBS -lsasl2"
%else
export AUXLIBS="$AUXLIBS -lsasl"
%endif
%if %{usetls}
export AUXLIBS="$AUXLIBS -lssl -lcrypto"
%endif
%if %{usetls}
export CCARGS="$CCARGS -DUSE_TLS"
%endif
export CCARGS="$CCARGS $RPM_OPT_FLAGS -Wno-comments"
%if %suse_version > 930
export PIE=-pie
%endif
make makefiles DEBUG=""
cd lib
for i in dns global master tls util; do
    ln -sf lib${i}.a libpostfix-${i}.so.1.0.1;
done
cd -
make LD_LIBRARY_PATH=$(pwd)/lib:${LD_LIBRARY_PATH}
# ---------------------------------------------------------------------------

%install
/usr/sbin/groupadd -g %{postfix_gid} -o -r postfix 2> /dev/null || :
/usr/sbin/groupadd -g %{maildrop_gid} -o -r maildrop 2> /dev/null || :
/usr/sbin/useradd -r -o -g postfix -u %{postfix_uid} -s /bin/false -c "Postfix Daemon" -d /var/spool/postfix postfix 2> /dev/null || :
mkdir -p $RPM_BUILD_ROOT/%{_libdir}
install lib/*.1 $RPM_BUILD_ROOT/%{_libdir}
for i in $RPM_BUILD_ROOT/%{_libdir}/*.1; do
    ln -sf ${i##*/} ${i%.*.*}
done
cd lib
for i in libpostfix-*; do
    ln -sf $i $RPM_BUILD_ROOT/%{_libdir}/${i%so.*}so
done
cd -
ln -sf $(pwd)/lib/dict_* libexec/
export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:$RPM_BUILD_ROOT/%{_libdir}
sh postfix-install -non-interactive \
       install_root=%{buildroot} \
       config_directory=%{pf_config_directory} \
       daemon_directory=%{pf_daemon_directory} \
       command_directory=%{pf_command_directory} \
       queue_directory=%{pf_queue_directory} \
       sendmail_path=%{pf_sendmail_path} \
       newaliases_path=%{pf_newaliases_path} \
       mailq_path=%{pf_mailq_path} \
       manpage_directory=%{_mandir} \
       setgid_group=%{pf_setgid_group} \
       readme_directory=%{pf_readme_directory}
ln -sf ../sbin/sendmail $RPM_BUILD_ROOT/usr/lib/sendmail
for i in qmqp-source smtp-sink smtp-source; do
	install -m 755 bin/$i $RPM_BUILD_ROOT/usr/sbin/$i
done
mkdir -p $RPM_BUILD_ROOT/etc/init.d
mkdir -p $RPM_BUILD_ROOT/sbin/conf.d
mkdir -p $RPM_BUILD_ROOT/etc/permissions.d
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/sasl2
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/%{conf_backup_dir}
mkdir -p $RPM_BUILD_ROOT/%{pf_sample_directory}
%if %suse_version > 920
mkdir -p $RPM_BUILD_ROOT/etc/pam.d
install -m 644 SuSE/smtp $RPM_BUILD_ROOT/etc/pam.d/smtp
%endif
#mkdir samples
install -m 755 SuSE/rc.postfix $RPM_BUILD_ROOT/etc/init.d/postfix
ln -sf ../etc/init.d/postfix $RPM_BUILD_ROOT/sbin/rcpostfix
mkdir -p $RPM_BUILD_ROOT/var/adm/fillup-templates
rm -f $RPM_BUILD_ROOT/var/adm/fillup-templates/sysconfig.postfix
sed -e 's;@lib@;%{_lib};g' SuSE/sysconfig.postfix > $RPM_BUILD_ROOT/var/adm/fillup-templates/sysconfig.postfix
install -m 644 SuSE/sysconfig.mail-postfix $RPM_BUILD_ROOT/var/adm/fillup-templates/sysconfig.mail-postfix
rm -f $RPM_BUILD_ROOT/sbin/conf.d/SuSEconfig.postfix
sed -e 's;@lib@;%{_lib};g' \
    -e 's;@conf_backup_dir@;%{conf_backup_dir};' \
    -e 's;@daemon_directory@;%{pf_daemon_directory};' \
    -e 's;@readme_directory@;%{pf_readme_directory};' \
    -e 's;@html_directory@;%{pf_html_directory};' \
    -e 's;@sendmail_path@;%{pf_sendmail_path};' \
    -e 's;@setgid_group@;%{pf_setgid_group};' \
    -e 's;@manpage_directory@;%{_mandir};' \
    -e 's;@newaliases_path@;%{pf_newaliases_path};' \
    -e 's;@sample_directory@;%{pf_sample_directory};' \
    -e 's;@mailq_path@;%{pf_mailq_path};' SuSE/SuSEconfig.postfix \
                 > $RPM_BUILD_ROOT/sbin/conf.d/SuSEconfig.postfix
chmod 755 $RPM_BUILD_ROOT/sbin/conf.d/SuSEconfig.postfix
install -m 644 SuSE/master.cf $RPM_BUILD_ROOT/etc/postfix/master.cf
install -m 644 SuSE/dynamicmaps.cf $RPM_BUILD_ROOT/etc/postfix/dynamicmaps.cf
install -m 644 SuSE/permissions $RPM_BUILD_ROOT/etc/permissions.d/postfix
install -m 644 SuSE/sender_canonical $RPM_BUILD_ROOT/etc/postfix/sender_canonical
install -m 644 SuSE/relay_ccerts $RPM_BUILD_ROOT/etc/postfix/relay_ccerts
install -m 600 SuSE/sasl_passwd $RPM_BUILD_ROOT/etc/postfix/sasl_passwd
install -m 600 SuSE/smtpd.conf $RPM_BUILD_ROOT/%{_libdir}/sasl2/smtpd.conf
install -m 644 SuSE/openssl_postfix.conf.in $RPM_BUILD_ROOT/etc/postfix/openssl_postfix.conf.in
install -m 755 SuSE/mkpostfixcert $RPM_BUILD_ROOT/usr/sbin/mkpostfixcert
rm -rf $RPM_BUILD_ROOT/var/spool/postfix
install -m 644 SuSE/master.cf $RPM_BUILD_ROOT/%{conf_backup_dir}/master.cf
{
cat<<EOF
#
# -----------------------------------------------------------------------
# NOTE: Many parameters have already been added to the end of this file
#       by SuSEconfig.postfix. So take care that you don't uncomment
#       and set a parameter without checking whether it has been added
#       to the end of this file.
# -----------------------------------------------------------------------
#
EOF
cat conf/main.cf
} > $RPM_BUILD_ROOT/etc/postfix/main.cf
$RPM_BUILD_ROOT/usr/sbin/postconf -c $RPM_BUILD_ROOT/etc/postfix \
        -e "manpage_directory = %{_mandir}" \
           "setgid_group      = %{pf_setgid_group}" \
           "mailq_path        = %{pf_mailq_path}" \
           "newaliases_path   = %{pf_newaliases_path}" \
           "sendmail_path     = %{pf_sendmail_path}" \
           "readme_directory  = %{pf_readme_directory}" \
           "html_directory    = %{pf_html_directory}" \
           "sample_directory  = %{pf_sample_directory}" \
	   "daemon_directory  = %{pf_daemon_directory}" \
           "biff              = no" \
           "inet_protocols    = all"
install -m 644 $RPM_BUILD_ROOT/etc/postfix/main.cf $RPM_BUILD_ROOT/%{conf_backup_dir}/main.cf
# -----------------------------------------------------------------------
# preparing /etc/postfix/postfix-files to be able to use postfix
# own upgrade script. Unfortunately it looks in postfix-files and
# expects aliases file at /etc/postfix/aliases and it expects to have
# unzipped manpages
# also remove the both sql dictionary libs as they will not be installed
# per default
# -----------------------------------------------------------------------
rm -f $RPM_BUILD_ROOT/etc/postfix/aliases
rm -f $RPM_BUILD_ROOT/etc/postfix/postfix-files
sed 's;^$config_directory/aliases\(.*\);/etc/aliases\1;' conf/postfix-files \
    | grep -v '^$manpage_directory' | grep -Ev 'dict_(mysql|pgsql)' > $RPM_BUILD_ROOT/etc/postfix/postfix-files
rm -f %{postfixfiles}
test -f conf/postfix-files || {
   echo "conf/postfix-files does not exist!"
   exit 1
}
echo "%defattr(-,root,root)" >> %{postfixfiles}
exec <conf/postfix-files
while IFS=: read path type owner group mode flags junk; do
  owner=${owner/\$mail_owner/postfix}
  group=${group/\$setgid_group/%{pf_setgid_group}}
  case $path in
  \$queue_directory*)
    path=${path/\$queue_directory/\/var\/spool\/postfix}
    group=${group/-/root}
    echo "%dir %attr($mode,$owner,$group) $path" >> %{postfixfiles}
    mkdir -m $mode -p $RPM_BUILD_ROOT/$path
    printf '%%-38s %%-18s %%04d\n' $path "${owner}.${group}" $mode >> $RPM_BUILD_ROOT/etc/permissions.d/postfix
    ;;
  \$command_directory/*)
    path=${path/\$command_directory/\/usr\/sbin}
    group=${group/-/root}
    echo "%attr($mode,$owner,$group) $path" >> %{postfixfiles}
    printf '%%-38s %%-18s %%04d\n' $path "${owner}.${group}" $mode >> $RPM_BUILD_ROOT/etc/permissions.d/postfix
    ;;
  *) continue;;
  esac
done
# create paranoid permissions file
printf '%%-38s %%-18s %%s\n' /usr/sbin/postdrop "root.%{pf_setgid_group}" "0755" >> $RPM_BUILD_ROOT/etc/permissions.d/postfix.paranoid
printf '%%-38s %%-18s %%s\n' /usr/sbin/postqueue "root.%{pf_setgid_group}" "0755" >> $RPM_BUILD_ROOT/etc/permissions.d/postfix.paranoid

%pre
VERSIONTEST=$(test -x usr/sbin/postconf && usr/sbin/postconf proxy_read_maps 2>/dev/null)
if [ -z "$VERSIONTEST" -a -f var/spool/postfix/pid/master.pid ]; then
  if checkproc -p var/spool/postfix/pid/master.pid usr/lib/postfix/master; then
     echo "postfix is still running. You have to stop postfix in order to"
     echo "install a newer version."
     exit 1
  fi
fi
/usr/sbin/groupadd -g %{postfix_gid} -o -r postfix 2> /dev/null || :
/usr/sbin/groupadd -g %{maildrop_gid} -o -r maildrop 2> /dev/null || :
/usr/sbin/useradd -r -o -g postfix -u %{postfix_uid} -s /bin/false -c "Postfix Daemon" -d /var/spool/postfix postfix 2> /dev/null || :
%if %suse_version >= 900

%preun
%stop_on_removal postfix
%endif

%post
# Remember whether we had an older version of postfix installed before
# doing the fillup
PFOLD=
# Update from SuSE Linux <= 7.3
test -e etc/rc.config.d/postfix.rc.config && \
     { grep POSTFIX_UPDATE_CHROOT_JAIL \
       etc/rc.config.d/postfix.rc.config >/dev/null || PFOLD=yes; }
# Update from SuSE Linux > 7.3
test -e etc/sysconfig/postfix && \
     { grep POSTFIX_UPDATE_CHROOT_JAIL \
       etc/sysconfig/postfix >/dev/null || PFOLD=yes; }
test -e etc/rc.config.d/postfix.rc.config -a -f etc/rc.config && {
   cat etc/rc.config.d/postfix.rc.config >> etc/rc.config
   rm -f etc/rc.config.d/postfix.rc.config
}
# rc.config(.d) related
%{rename_sysconfig_variable POSTFIX_CREATECF MAIL_CREATE_CONFIG}
%{fillup_and_insserv -y postfix}
if [ -f etc/sysconfig/mail ]; then
   . etc/sysconfig/mail
   if [ -n "$NULLCLIENT" ]; then
      RCTMP=etc/sysconfig/postfix.$$
      sed "s/^POSTFIX_NULLCLIENT.*/POSTFIX_NULLCLIENT=\"$NULLCLIENT\"/" \
          etc/sysconfig/postfix > $RCTMP
      mv $RCTMP etc/sysconfig/postfix
   fi
fi
#
%{remove_and_set POSTFIX_MAILDROP_MODE}
%{remove_and_set -n mail NULLCLIENT}
%{fillup_only -an mail}
# postfix config is now in /etc/sysconfig/postfix...
# ------------------------------------------------------------------
if [ -n "$PFOLD" ]; then
   # We have to set POSTFIX_UPDATE_CHROOT_JAIL according to MAIL_CREATE_CONFIG
   RCTMP=etc/sysconfig/postfix.$$
   . etc/sysconfig/postfix
   . etc/sysconfig/mail
   if [ "`echo $POSTFIX_CHROOT | tr 'A-Z' 'a-z' `" == "yes" -o \
        "`echo $MAIL_CREATE_CONFIG | tr 'A-Z' 'a-z' `" == "yes" ]; then
      echo "Setting POSTFIX_UPDATE_CHROOT_JAIL to yes" 
      rm -f $RCTMP
      sed 's/^POSTFIX_UPDATE_CHROOT_JAIL.*/POSTFIX_UPDATE_CHROOT_JAIL="yes"/' \
          etc/sysconfig/postfix > $RCTMP
      mv $RCTMP etc/sysconfig/postfix
   fi
   if [ "`echo $MAIL_CREATE_CONFIG | tr 'A-Z' 'a-z' `" == "yes" ]; then
      echo "Setting SMTPD_LISTEN_REMOTE to yes"
      rm -f $RCTMP
      sed 's/^SMTPD_LISTEN_REMOTE.*/SMTPD_LISTEN_REMOTE="yes"/' \
          etc/sysconfig/postfix > $RCTMP
      mv $RCTMP etc/sysconfig/postfix
   fi
fi
# ------------------------------------------------------------------
# ------------------------------------------------------------------
# updating main.cf
echo "Updating postfix configuration files"
MAINCF=etc/postfix/main.cf
MASTERCF=etc/postfix/master.cf
TMPMAIN=etc/postfix/main.cf.tmp.$$
TMPMASTER=etc/postfix/master.cf.tmp.$$
BAKSUFFIX=$(date +%Y-%m-%d)
MD5DIR=var/adm/SuSEconfig/md5
mkdir -p $MD5DIR/etc/postfix
cp --remove-destination $MAINCF $TMPMAIN
cp --remove-destination $MASTERCF $TMPMASTER
if [ -f $MD5DIR/$MAINCF ]; then
	OLDMD5MAINCF=$(cat $MD5DIR/$MAINCF)
fi
if [ -f $MD5DIR/$MASTERCF ]; then
	OLDMD5MASTERCF=$(cat $MD5DIR/$MASTERCF)
fi
usr/sbin/postconf -e \
      "manpage_directory = %{_mandir}" \
      "setgid_group      = %{pf_setgid_group}" \
      "mailq_path        = %{pf_mailq_path}" \
      "newaliases_path   = %{pf_newaliases_path}" \
      "sendmail_path     = %{pf_sendmail_path}" \
      "readme_directory  = %{pf_readme_directory}" \
      "html_directory    = %{pf_html_directory}" \
      "sample_directory  = %{pf_sample_directory}" \
      "daemon_directory  = %{pf_daemon_directory}"
echo "executing upgrade-configuration"
usr/sbin/postfix set-permissions upgrade-configuration \
	setgid_group=%{pf_setgid_group}
NEWMD5MAINCF=$(cat $MAINCF | grep -v "^#" | md5sum)
NEWMD5MASTERCF=$(cat $MASTERCF | grep -v "^#" | md5sum)
if [ -n "$OLDMD5MAINCF" ]; then
   if [ "$NEWMD5MAINCF" != "$OLDMD5MAINCF" ]; then
     echo "post-install modified $MAINCF, updating MD5SUM"
     rm -f $MD5DIR/$MAINCF
     echo "$NEWMD5MAINCF" > $MD5DIR/$MAINCF
     echo "backing up $MAINCF to $MAINCF.$BAKSUFFIX"
     cp --remove-destination $TMPMAIN $MAINCF.$BAKSUFFIX
   fi
else
   echo "$NEWMD5MAINCF" > $MD5DIR/$MAINCF
fi
if [ -n "$OLDMD5MASTERCF" ]; then
   if [ "$NEWMD5MASTERCF" != "$OLDMD5MASTERCF" ]; then
     echo "post-install modified $MASTERCF, updating MD5SUM"
     rm -f $MD5DIR/$MASTERCF
     echo "$NEWMD5MASTERCF" > $MD5DIR/$MASTERCF
     echo "backing up $MASTERCF to $MASTERCF.$BAKSUFFIX"
     cp --remove-destination $TMPMASTER $MASTERCF.$BAKSUFFIX
   fi
else
     echo "$NEWMD5MASTERCF" > $MD5DIR/$MASTERCF
fi
rm -f $TMPMAIN $TMPMASTER
%if %suse_version > 900
%run_suseconfig -m postfix
%endif

%postun
%if %suse_version >= 900
%restart_on_update postfix
%endif
%insserv_cleanup

%clean
rm -rf $RPM_BUILD_ROOT

%post postgresql
FILE=etc/postfix/dynamicmaps.cf
if ! grep -q "^mysql[[:space:]]" ${FILE}; then
     echo "Adding pgsql map entry to ${FILE}"
     echo "pgsql   /usr/lib/postfix/dict_pgsql.so      dict_pgsql_open" >> ${FILE}
fi

%post mysql
FILE=etc/postfix/dynamicmaps.cf
if ! grep -q "^mysql[[:space:]]" ${FILE}; then
     echo "Adding mysql map entry to ${FILE}"
     echo "mysql   /usr/lib/postfix/dict_mysql.so      dict_mysql_open" >> ${FILE}
fi

%postun postgresql
FILE=etc/postfix/dynamicmaps.cf
if grep -q "^pgsql[[:space:]]" ${FILE}; then
     echo "Removing pgsql map entry from ${FILE}"
     sed "/^pgsql[[:space:]]/d" ${FILE} > ${FILE}.$$ && \
         cp --remove-destination ${FILE}.$$ ${FILE} && \
         rm ${FILE}.$$
fi

%postun mysql
FILE=etc/postfix/dynamicmaps.cf
if grep -q "^mysql[[:space:]]" ${FILE}; then
     echo "Removing mysql map entry from ${FILE}"
     sed "/^mysql[[:space:]]/d" ${FILE} > ${FILE}.$$ && \
         cp --remove-destination ${FILE}.$$ ${FILE} && \
         rm ${FILE}.$$
fi

%files postgresql
%defattr(-,root,root)
/usr/lib/postfix/dict_pgsql.so

%files mysql
%defattr(-,root,root)
/usr/lib/postfix/dict_mysql.so

%files -f %{postfixfiles}
%defattr(-,root,root)
%if %suse_version > 920
%config /etc/pam.d/*
%endif
/var/adm/fillup-templates/sysconfig.postfix
/var/adm/fillup-templates/sysconfig.mail-postfix
/sbin/conf.d/SuSEconfig.postfix
%dir /etc/postfix
%config(noreplace) /etc/postfix/access
%config(noreplace) /etc/postfix/generic
%config(noreplace) /etc/postfix/canonical
#%config(noreplace) /etc/postfix/cidr_table
%config(noreplace) /etc/postfix/main.cf
/etc/postfix/main.cf.default
%config(noreplace) /etc/postfix/master.cf
%config(noreplace) /etc/postfix/openssl_postfix.conf.in
%config(noreplace) /etc/postfix/relocated
%config(noreplace) /etc/postfix/transport
%config(noreplace) /etc/postfix/virtual
%config(noreplace) /etc/postfix/sasl_passwd
%config(noreplace) /etc/postfix/sender_canonical
#%config(noreplace) /etc/postfix/tcp_table
#%config(noreplace) /etc/postfix/pcre_table
#%config(noreplace) /etc/postfix/regexp_table
%config(noreplace) /etc/postfix/relay_ccerts
%config(noreplace) /etc/postfix/header_checks
%config(noreplace) /etc/postfix/dynamicmaps.cf
%config(noreplace) %{_libdir}/sasl2/smtpd.conf
/etc/postfix/LICENSE
%if %{usetls}
/etc/postfix/TLS_LICENSE
%endif
/etc/postfix/makedefs.out
/etc/postfix/postfix-script
/etc/postfix/post-install
/etc/postfix/postfix-files
%config /etc/permissions.d/postfix
%config /etc/permissions.d/postfix.paranoid
%config %attr(0755,root,root) /etc/init.d/postfix
/usr/bin/mailq
/usr/bin/newaliases
%attr(0755, root, root) /usr/sbin/sendmail
/usr/sbin/qmqp-source
/usr/sbin/smtp-sink
/usr/sbin/smtp-source
/usr/sbin/mkpostfixcert
/sbin/rcpostfix
%{_libdir}/lib*
/usr/lib/sendmail
%dir /usr/lib/postfix
/usr/lib/postfix/*[^.so]
/usr/lib/postfix/dict_ldap.so
/usr/lib/postfix/dict_pcre.so
/usr/lib/postfix/dict_tcp.so
%doc AAAREADME COMPATIBILITY COPYRIGHT HISTORY INSTALL IPv6-ChangeLog LICENSE
%doc PORTING RELEASE_NOTES* US_PATENT_6321267 TLS_LICENSE
%doc README_FILES examples html auxiliary
%doc SuSE/README.SuSE
%doc SuSE/SPAMASSASSIN+POSTFIX.SuSE
%dir /var/adm/backup
%{conf_backup_dir}
%{_mandir}/man?/*.gz

%description
Postfix aims to be an alternative to the widely-used sendmail program

Authors:
--------
    Wietse Venema <wietse@porcupine.org>
    TLS Extension: Lutz Jnicke <Lutz.Jaenicke@aet.TU-Cottbus.DE>


%description mysql
postfix plugin to support MySQL maps



Authors:
--------
    Wietse Venema <wietse@porcupine.org>



%description postgresql
postfix plugin to support PostgreSQL maps



Authors:
--------
    Wietse Venema <wietse@porcupine.org>



